﻿using System;
using System.Collections;
using System.Collections.Generic;
using System.Diagnostics;

namespace PeerGroup.GCL.Extensions
{
	internal static class EnumerableExtensions
	{

		[DebuggerStepThrough]
		public static void ForEach(this IEnumerable enumerable, Action<object> action)
		{
			if (enumerable == null || action == null)
				return;

			foreach (var item in enumerable)
				action.Invoke(item);
		}


		[DebuggerStepThrough]
		public static void ForEach<T>(this IEnumerable<T> enumerable, Action<T> action)
		{
			if (enumerable == null || action == null)
				return;

			foreach (var item in enumerable)
				action.Invoke(item);
		}
		public static void AddRange<T>(this ICollection<T> collection, IEnumerable<T> itemsToAdd)
		{
			if (collection == null)
				throw new ArgumentNullException(nameof(collection));

			if (itemsToAdd == null)
				return;

			foreach (var item in itemsToAdd)
				collection.Add(item);
		}
	}
}
