﻿using System;
using System.Windows;
using System.Windows.Threading;

namespace SpreadsheetOwnerErrorSampleV3
{
	public static class ErrorHandler
	{
		public static void OnError(Exception exception, string caption, params object[] args)
		{
			Show(exception, string.Format(caption, args), exception.Message);
		}
		public static void OnError(string caption, string message)
		{
			Action showMsg = () => MessageBox.Show(message, caption, MessageBoxButton.OK, MessageBoxImage.Error);
			Application.Current.Dispatcher.BeginInvoke(showMsg);
		}
		
		private static void Show(Exception exception, string caption, string message)
		{
			try
			{
				Action openDialogAction = () => // DialogManager.ShowDialog(dialogView);
					MessageBox.Show(message + exception, caption, MessageBoxButton.OK, MessageBoxImage.Error);

				Application.Current.Dispatcher.BeginInvoke(openDialogAction, DispatcherPriority.Normal);
			}
			catch (Exception)
			{
				//if (!ExecutorType.IsTestEngineExecuting())
				{
					MessageBox.Show($"{message}:\r\n" + exception.ToString(), caption,
						MessageBoxButton.OK, MessageBoxImage.Error);
				}
			}
		}
	}
}
