﻿// <copyright company="PEER Group GmbH">
// Copyright (c) PEER Group GmbH. All rights reserved.
// </copyright>

using System;

namespace SpreadsheetOwnerErrorSampleV3.Interfaces
{
	/// <summary>Represents an entity which provides events fired when a new worksheet is added.</summary>
	public interface IAddWorksheetEvents
	{
		/// <summary>Event is fired when the new worksheet is being added.</summary>
		event EventHandler NewWorksheetAdding;

		/// <summary>Event is fired when the new worksheet was already added.</summary>
		event EventHandler NewWorksheetAdded;
	}
}