﻿
using Infragistics.Controls.Grids;
using Microsoft.Practices.Prism.Events;
using SpreadsheetOwnerErrorSampleV3.Core.Events;

namespace SpreadsheetOwnerErrorSampleV3
{
	internal class LogNotify
	{
		private readonly string mOwner;
		public static IEventAggregator EventAggregator { get; set; }

		public LogNotify(string owner)
		{
			mOwner = owner;
		}

		public void Write( XamSpreadsheet spreadsheet, string message)
		{
			var myEvent = new WorkbookEventArguments(mOwner, spreadsheet?.GetHashCode(), message);
			RaiseEvent(myEvent);
		}

		public void Write(string message)
		{
			var myEvent = new WorkbookEventArguments(mOwner, -1, message);
			RaiseEvent(myEvent);
		}


		private void RaiseEvent(WorkbookEventArguments myEvent)
		{
			EventAggregator.GetEvent<MyWorkbookEvent>().Publish(myEvent);
		}
	}
}
