﻿// <copyright company="PEER Group GmbH">
//    Copyright (c) PEER Group GmbH. All rights reserved.
// </copyright>

using Microsoft.Practices.Prism.Modularity;
using Microsoft.Practices.Prism.Regions;
using Microsoft.Practices.Unity;
using SpreadsheetOwnerErrorSampleV3.Core.Regions;
using SpreadsheetOwnerErrorSampleV3.Views;

namespace SpreadsheetOwnerErrorSampleV3.Modules
{
	[Module(ModuleName = NAME)]
	public class OutlookModule : IModule
	{
		internal const string NAME = "OutlookModule";
		
		private readonly IUnityContainer mContainer;
		private readonly IRegionManager mRegionManager;

		#region Constructors
		
		public OutlookModule(IUnityContainer container, IRegionManager regionManager)
		{
			mContainer = container;
			mRegionManager = regionManager;
		}
		#endregion

		#region Public Methods

		/// <summary>
		/// Notifies the module that it has be initialized.
		/// </summary>
		public void Initialize()
		{
			mContainer
				.RegisterType<object, StartPageView>(KnownViews.START_PAGE_VIEW)
				//.RegisterType<object, BackboneMemberConfigurationView>(KnownViews.CONFIGURATION_VIEW)
				.RegisterType<object, TestUserControl>(KnownViews.TEST_VIEW)
				.RegisterType<object, EditorViewWithSpreadsheet>(KnownViews.EDITOR_VIEW);

			mRegionManager.RegisterViewWithRegion(RegionNames.MAIN_REGION, () => mContainer.Resolve<StartPageView>());
			mRegionManager.RegisterViewWithRegion(RegionNames.MAIN_REGION, () => mContainer.Resolve<TestUserControl>());
		}
		#endregion
	}
}
