﻿// <copyright company="PEER Group GmbH">
// Copyright (c) PEER Group GmbH. All rights reserved.
// </copyright>

using System;
using System.Collections.Generic;
using System.IO;

//using Eaf.Management.ConfigurationData.EquipmentCharacterization;

namespace SpreadsheetOwnerErrorSampleV3.Schema
{
	/// <summary>
	/// Provides the resource data with the Equipment dictionary templates.
	/// </summary>
	public static class EquipmentDictionaryTemplates
	{
		private const string RESOURCE_PREFIX = "EafClient.Excel.Exporter.Core.";

		/// <summary>The excel template schema mapping.</summary>
		private static readonly Dictionary<string, string> sSchemaMapping = new Dictionary<string, string>
		{
			{ string.Empty, RESOURCE_PREFIX + "EqDictTemplate_v2.4.xlsx" },
			{ "2.4", RESOURCE_PREFIX + "EqDictTemplate_v2.4.xlsx" },
			{ "2.5", RESOURCE_PREFIX + "EqDictTemplate_v2.5.xlsx" },
			{ "2.6", RESOURCE_PREFIX + "EqDictTemplate_v2.6.xlsx" },
			{ "default", RESOURCE_PREFIX + "EqDictTemplate_v2.6.xlsx" }
		};

		internal static string GetDefaultExcelFileName => sSchemaMapping["default"].Substring(RESOURCE_PREFIX.Length);

		/// <summary>Gets the ED template dictionary for specific version.</summary>
		/// <param name="templateVersion">Template version. Example: '2.5' .</param>
		/// <returns>The stream with the template.</returns>
		/// <exception cref="ApplicationException">Throws exception if template version not found.</exception>
		public static Stream GetVersion(string templateVersion)
		{
			//var getVersion = templateVersion.ToServerVersion();
			//if (!sSchemaMapping.ContainsKey(templateVersion))
			//	throw new ApplicationException($"Template version does not exist: {getVersion}");

			//var type = typeof(EquipmentDictionaryTemplates);
			//var stream = type.Assembly.GetManifestResourceStream(sSchemaMapping[getVersion]);
			//if (stream == null)
			//	throw new ApplicationException($"Template resource not found: '{sSchemaMapping[getVersion]}'");

			var stream = new FileStream("SampleSheet.xlsx", FileMode.Open);
			return stream;
		}

		///// <summary> Gets the excel template compatible for the given schema version. </summary>
		///// <param name="dictionary">The dictionary.</param>
		///// <returns>The excel sheet resource stream.</returns>
		//internal static Stream GetCompatibleExcelTemplate(EquipmentDictionaryVersion dictionary)
		//{
		//	var schemaVersion = dictionary.SchemaVersion.ToServerVersion();
		//	if (string.IsNullOrEmpty(schemaVersion) || !sSchemaMapping.ContainsKey(schemaVersion))
		//		return GetVersion("2.4");

		//	return GetVersion(schemaVersion);
		//}
	}
}
