﻿// <copyright company="PEER Group GmbH">
// Copyright (c) PEER Group GmbH. All rights reserved.
// </copyright>

using System.Windows.Media;

namespace SpreadsheetOwnerErrorSampleV3.SpreadsheetControl
{
	/// <summary>This class holds common editor configuration.</summary>
	public static class CommonEditorConfiguration
	{
		/// <summary>The default font family for editors.</summary>
		private const string DEFAULT_FONT_FAMILY = "Consolas";

		/// <summary>The default font size for editors.</summary>
		private const double DEFAULT_FONT_SIZE = 12;

		/// <summary>Gets the default font family for editors.</summary>
		public static FontFamily DefaultFontFamily => new FontFamily(DefaultFontFamilyString);

		/// <summary>Gets the default font family for editors as a string.</summary>
		public static string DefaultFontFamilyString => DEFAULT_FONT_FAMILY;

		/// <summary>Gets the default font size for editors.</summary>
		public static double DefaultFontSize => DEFAULT_FONT_SIZE;
	}
}
