﻿// <copyright file="SpreadsheetFactory.cs" company="PEER Group GmbH">
// Copyright (c) PEER Group GmbH. All rights reserved.
// </copyright>

using Infragistics.Documents.Excel;
using SpreadsheetOwnerErrorSampleV3.Interfaces;
using SpreadsheetOwnerErrorSampleV3.SpreadsheetControl.SpreadsheetType;

namespace SpreadsheetOwnerErrorSampleV3.SpreadsheetControl
{
	internal class SpreadsheetFactory
	{
		private readonly Workbook mWorkbook;

		public SpreadsheetFactory(Workbook workbook)
			=> mWorkbook = workbook;

		public IWorksheet CreateWorksheet(string sheetName)
		{
			if (!mWorkbook.Worksheets.Exists(sheetName))
				mWorkbook.Worksheets.Add(sheetName);

			var newWorksheet = mWorkbook.Worksheets[sheetName];

			//if (sheetName == Constants.Spreadsheet.COVER_PAGE || sheetName == Constants.Spreadsheet.OBJECT_TEMPLATE)
			//	return new HiddenSpreadsheet(newWorksheet);

			//if (sheetName.Contains(Constants.Spreadsheet.OBJECT_PREFIX))
			//	return new ObjectTypeSpreadsheet(newWorksheet);

			return new EditableSpreadsheet(newWorksheet);
		}
	}
}