﻿// <copyright company="PEER Group GmbH">
// Copyright (c) PEER Group GmbH. All rights reserved.
// </copyright>

using System.Linq;
using Infragistics.Documents.Excel;

namespace SpreadsheetOwnerErrorSampleV3.SpreadsheetControl.SpreadsheetType
{
	internal class EditableSpreadsheet : Spreadsheet
	{
		public EditableSpreadsheet(Worksheet worksheet) : base(worksheet)
		{
			if (worksheet.Columns.Any())
			{
				var columnCount = worksheet.Columns.Max(c => c.Index);
				for (var col = 0; col <= columnCount; col++)
					worksheet.Columns[col].CellFormat.Locked = ExcelDefaultableBoolean.False;
			}

			worksheet.Rows[0].CellFormat.Locked = ExcelDefaultableBoolean.True;
		}
	}
}