﻿
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.ComponentModel;
using System.Linq;
using System.Windows.Controls;
using System.Windows.Data;
using Infragistics.Controls.Menus;
using Microsoft.Practices.Prism.Events;
using Microsoft.Practices.Prism.Regions;
using SpreadsheetOwnerErrorSampleV3.Core.Events;
using SpreadsheetOwnerErrorSampleV3.Core.Prism;
using SpreadsheetOwnerErrorSampleV3.Core.Regions;

namespace SpreadsheetOwnerErrorSampleV3.Views
{
	/// <summary>
	/// Interaction logic for HostSummaryView.xaml
	/// </summary>
	public partial class FactoryExplorerView : UserControl, IDockAware
	{
		private readonly IRegionManager mRegionManager;
		private readonly IEventAggregator mEventAggregator;

		private readonly BindingList<WorkbookEventArguments> mEventList = new BindingList<WorkbookEventArguments>();

		public FactoryExplorerView(IRegionManager regionManager, IEventAggregator eventAggregator)
		{
			mRegionManager = regionManager;
			mEventAggregator = eventAggregator;
			InitializeComponent();
			Loaded += FactoryExplorerView_Loaded;

			mEventAggregator.GetEvent<MyWorkbookEvent>().Subscribe(HandleMyWorkbookEvent);
			LogsEntries.DataSource = mEventList;
		}

		private void HandleMyWorkbookEvent(WorkbookEventArguments e)
		{
			mEventList.Add(e);
		}

		private void FactoryExplorerView_Loaded(object sender, System.Windows.RoutedEventArgs e)
		{
			LisItems.Items.Add("Test 1");
			LisItems.Items.Add("Test 2");
		}

		private void FactoryExplorer_SelectedNodesCollectionChanged(object sender, NodeSelectionEventArgs e)
		{
			//if (e.CurrentSelectedNodes.Count == 1)
			//	Tree.ScrollNodeIntoView(e.CurrentSelectedNodes[0]);
		}

		/// <inheritdoc />
		public string Header { get; set; } = "Navigation";

		/// <inheritdoc />
		public bool AllowClose { get; } = false;

		/// <inheritdoc />
		public bool IsPinned { get; } = true;

		/// <inheritdoc />
		public bool IsSelected { get; set; }

		private void LisItems_OnSelectionChanged(object sender, SelectionChangedEventArgs e)
		{
			var selectedName = LisItems.SelectedValue as string;
			if (string.IsNullOrEmpty(selectedName))
				return;

			mRegionManager.RequestNavigate(RegionNames.MAIN_REGION, KnownViews.EDITOR_VIEW, "Test", selectedName);
		}
	}
}